Bug 122840 - Nothing in Help for "Increase Ident" (and possibly other tooltip phrases)
Summary: Nothing in Help for "Increase Ident" (and possibly other tooltip phrases)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2019-01-21 01:06 UTC by Jim Avera
Modified: 2019-09-26 15:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Avera 2019-01-21 01:06:16 UTC
Description:
In Writer, there is a button in the Formatting toolbar which displays "Increase Indent" when you hover the mouse over it (tool tip).

But "Increase Indent" does not work as a search key in Help. 

Ideally tool-tip texts should be chosen to be things which work as keys into the Help system (or provide some other way to get context-sensitive help for any button or icon). 

Suggestion: Make a QA test which extracts all tooltip texts and verifies that they work as keys into the Help index.  This would flush out such problems.

I'm assuming of course that Help exists for every feature which has a tooltip.

P.S. What led me to this is I was trying to find out how to access the "Increase Indent" feature through the menu system, e.g. in case the Formatting toolbar is not being displayed.

Steps to Reproduce:
1. Open Writer
2. View->Toolsbars->Formatting enabled (if necessary)
3. Hover mouse over the increase-indent button icon
4. Help->LibreOffice[Dev] Help
5. Type the tooltip text into the search box

Actual Results:
Nothing found

Expected Results:
Finds help for the "Increase Indent" feature connected to the button


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.3.0.0.alpha0+
Build ID: b8e450a54936560cdac00ab4c70ef80c20cfaf99
CPU threads: 12; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-18_06:04:42
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Commit Notification 2019-06-26 12:36:27 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/ade3d61f7afaa9cb203d6209e7e7500e98fe8bfb%5E%21

tdf#122840 Add bookmark for inc/decrease indents
Comment 2 Xisco Faulí 2019-09-26 10:19:06 UTC
A polite ping to Olivier Hallot:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks